using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class TemplateUserControl : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        List<object> data = new List<object>();
        for (int i = 0; i < 10; i++)
            data.Add(new { Data1 = "Data1", Data2 = "Data2", Data3 = "Data3", Data4 = "Data1" });

        RadGrid1.DataSource = data;
    }
}
